Click or drag to resize

BrepVertexListAddPointOnFace Method

Adds a new point on face to the brep

Namespace:  Rhino.Geometry.Collections
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public BrepVertex AddPointOnFace(
	BrepFace face,
	double s,
	double t
)

Parameters

face
Type: Rhino.GeometryBrepFace
face that vertex lies on
s
Type: SystemDouble
surface parameters
t
Type: SystemDouble
surface parameters

Return Value

Type: BrepVertex
new vertex that represents the point on face
Remarks
If a vertex is a point on a face, then brep.Edges[m_ei] will be an edge with no 3d curve. This edge will have a single trim with type ON_BrepTrim::ptonsrf. There will be a loop containing this single trim.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also